Facebookページの評価を表示できる「WP Review Slider」プラグインにSQLインジェクション脆弱性。WordPressサイトへの影響と対策について (CVE-2022-0383)

こんにちは。「SiteCloud」プリセールスの高瀬です。

2022年2月にWordPressのプラグイン「WP Review Slider」にSQLインジェクションの脆弱性(CVE-2022-0383)が発表されました。

悪用されるとデータベースに不正アクセスされる可能性があり、アメリカ国立標準技術研究所の脆弱性データベースでは危険度がHighとなっています。

https://nvd.nist.gov/vuln/detail/CVE-2022-0383

該当プラグインを有効にしている場合、攻撃者が細工したリクエストを送ることでデータベースに任意のクエリを実行してしまう可能性があります。

対象プラグインとバージョン

「WP Review Slider」は広告表示機能を含んだWordPress向けのフォーラムプラグインです。

https://ja.wordpress.org/plugins/wp-facebook-reviews/

今回の脆弱性の影響を受けるバージョンは下記の通りです。

・WP Review Slider 11.0未満

脆弱性の対策

対策としては、プラグインをアップデートする形になります。WordPressのプラグイン画面から該当プラグインのアップデート有無を確認することをお勧めします。

Webサイトへの影響について

「WP Review Slider」のプラグイン設定画面で細工したURLを送ることでデータベースで不正なクエリを実行できる可能性があります。

管理画面での脆弱性となるため、本脆弱性のみで外部から攻撃される可能性は低くなっていますが、他の脆弱性と組み合わせてWordPressの管理画面に入った攻撃者からデータベースを直接操作されてしまう可能性がありますので、可能なタイミングで対策をお勧めします。

さいごに

WordPressのプラグインを利用することで様々な機能を手軽に実装できますが、それぞれのプラグインに関するセキュリティ対策も必要になります。

弊社では日々WordPressおよびプラグインのセキュリティ情報をチェックしており、お客様のサーバーで利用しているプラグインについては検証、本番それぞれの環境でアップデートを代行可能です。

リリース後のWordPressサイトのセキュリティ情報のチェックが追いつかない場合はぜひご相談くださいませ。

コーポレートサイトをクラウドでセキュアに

SiteCloudガイドブック

「SiteCloud」の詳しい内容が分かる資料をご用意しました。
  • コーポレートサイト構築・運用の課題を解決
  • SiteCloudの主な機能
  • 導入事例
  • 導入までの流れ

関連する解決策

最新記事

タグ

詳しい資料をご覧いただけます

    サイバーの鎧のサービス内容を記載した資料をダウンロードできます。
             

【無料診断実施中】サーバーセキュリティ診断

経験豊富なセキュリティ専門技術者が、サーバーの状況を診断して、分かりやすい診断結果と今後の対応策をご覧いただけます。

無料サーバー診断申し込み
close